<?php
if (!defined('USING_SYSTEM')) exit;

class p101_sxExe extends xIExecutor {
	
	public function main() {
		$fc = new xFileCache('admin101trend', 86400);
		if($fc->isValid())
			define('TREND',			$fc->buffer);
		else {
			define('TREND',			xNet::post('http://program.maiyun.net/products/filiant/trend.php', array('version'=>FA_VERSION)));
			$fc->append(TREND);
		}
		include_once(__ROOT__.'admin/ui.p101.php');
	}
	
	public function onError($result) {
		
	}
	
}
